vla-mirror and attributes

Discussion in 'AutoCAD' started by MRL, Jun 12, 2004.

  1. MRL

    MRL Guest

    Hello,

    Hello anyone tell me how to mirror a block with vla-mirror?
    I know how to mirror an object but how do i mirror the attributes ?

    Martin


    here is my code (but it is incomplete)

    (vl-load-com)
    (setq util (vla-get-utility
    (vla-get-activedocument
    (vlax-get-acad-object))))
    (vla-getentity util 'obj 'ip "\nSelect Object: ")
    (setq fpoint (vla-getpoint util nil
    "\nSpecify first point of mirror line: "))
    (setq spoint (vla-getpoint util fpoint
    "\nSpecify second point of mirror line: "))
    (setq newobj (vla-Mirror obj fpoint spoint))
    < something missing here >
     
    MRL, Jun 12, 2004
    #1
  2. MRL

    Jeff Mishler Guest

    Just make sure the sysvar "mirrtext" is set to 1 and the attributes will
    mirror with the block.

    Jeff
     
    Jeff Mishler, Jun 14, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.